Bug 662791 - links against both gtk2 and gtk3
links against both gtk2 and gtk3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emerillon (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
RejectedNTH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-13 16:26 EST by Bill Nottingham
Modified: 2014-03-16 23:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: emerillon-0.1.2-17.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 23:30:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-12-13 16:26:39 EST
Description of problem:

emerillon crashes on startup.

Version-Release number of selected component (if applicable):

emerillon-0.1.2-10.fc15.x86_64

How reproducible:

100%

Steps to Reproduce:
1. start it
2.
3.
  
Actual results:

$ emerillon 

Gtk-ERROR **: GTK+ 2.x symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported
aborting...
Trace/breakpoint trap (core dumped)

Expected results:

Runs.

Additional info:

This is almost certainly b/c libchamplain-gtk is gtk2 and clutter-gtk is gtk3.
Comment 1 Peter Robinson 2010-12-14 04:59:52 EST
yes, its a known problem with a number of applications that use clutter-gtk. I'm working with upstream for a solution, and also looking at a local work around.
Comment 2 Tim Flink 2011-04-25 11:57:30 EDT
Discussed at 2011-04-15 blocker bug review meeting.

This is not installed by default and can be fixed with an update - rejected as NTH. A tested fix would be accepted before the final freeze, though.
Comment 3 Fedora Update System 2011-05-03 16:56:48 EDT
emerillon-0.1.2-17.fc15,ethos-0.2.2-11.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/emerillon-0.1.2-17.fc15,ethos-0.2.2-11.fc15
Comment 4 Fedora Update System 2011-05-05 00:44:20 EDT
Package emerillon-0.1.2-17.fc15, ethos-0.2.2-11.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emerillon-0.1.2-17.fc15 ethos-0.2.2-11.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/emerillon-0.1.2-17.fc15,ethos-0.2.2-11.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-05-09 23:30:18 EDT
emerillon-0.1.2-17.fc15, ethos-0.2.2-11.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.